Bug 135186 - drag 'n drop file with utf-8 in name or path
Summary: drag 'n drop file with utf-8 in name or path
Status: CLOSED FIXED
Alias: None
Product: kdeprint
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KDEPrint Devel Mailinglist
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-06 10:54 UTC by Bruno Friedmann
Modified: 2008-12-31 20:22 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bruno Friedmann 2006-10-06 10:54:58 UTC
Version:           3.5.4 "release 88.1" (using KDE KDE 3.5.4)
Installed from:    SuSE RPMs
Compiler:          gcc version 4.1.0 (SUSE Linux) 
OS:                Linux

You simply can not print files with accentuated characters in filename or in the path.

The long bug report could be find here 
https://bugzilla.novell.com/show_bug.cgi?id=194400 

or simple test in command line 
kprinter -t "mon éxécrable test" --system CUPS -P i250 /ioda/data/ioda-net/comptabilité/Avis_Réclamation_2000_FIN.pdf

produce and error 
cupsdoprint -P 'i250' -J 'Avis_Réclamation_2000_FIN.pdf' -H '127.0.0.1:631' -o ' multiple-document-handling=separate-documents-uncollated-copies' '/ioda/data/ioda-net/comptabilité/Avis_Réclamation_2000_FIN.pdf' : execution failed with message:
/ioda/data/ioda-net/comptabilité/Avis_Réclamation_2000_FIN.pdf: file not found or not readable 

which is exactly the name the path and the document should have if the system was in ISO8859-1.

Has anybody a solution about this, or a way to get this fixed ?
I could send everything needed if you can tell me what :-).
Thanks.
Comment 1 Bruno Friedmann 2006-10-08 15:21:32 UTC
Ok for the changing from crash to normal, but it's crashing ... you've got a knotify box, and the print doesn't come out ... 

It's really a crash .. there's no way to bypass this without changing all path and filename which is not a real solution doesn't it ?

Comment 2 Bruno Friedmann 2006-10-31 15:52:45 UTC
With lastest KDE 3.5.5 "release 19.1" always the same annoying crashing bug.

Could someone have a look to this, before it goes into 4.x branch ?
Comment 3 Lubos Lunak 2006-11-03 18:29:35 UTC
SVN commit 601573 by lunakl:

Do not encode the filenames manually, KProcess:operator<<(const QString&)
does it.
BUG: 135186



 M  +2 -2      kprinterimpl.cpp  


--- branches/KDE/3.5/kdelibs/kdeprint/kprinterimpl.cpp #601572:601573
@@ -257,8 +257,8 @@
 	for (QStringList::ConstIterator it=files.begin(); it!=files.end(); ++it)
 		if (QFile::exists(*it))
 		{
-			// quote and encode filenames
-			filestr.append(quote(QFile::encodeName(*it))).append(" ");
+			// quote filenames
+			filestr.append(quote(*it)).append(" ");
 			printfiles.append(*it);
 		}
 		else
Comment 4 John Layt 2008-12-31 20:22:30 UTC
Closing old Resolved status bug.